=== debian/changelog ===
util-dfm (1.3.1) unstable; urgency=medium

  * update version to 1.3.1


 -- liujinchang <liujinchang@uniontech.com>  Wed, 10 Jul 2024 11:34:25 +0800

util-dfm (1.3.0) unstable; urgency=medium

  * v25

 -- liujinchang <liujinchang@uniontech.com>  Tue, 02 Jul 2024 15:06:32 +0800

util-dfm (1.2.24) unstable; urgency=medium

  * a new attribute is added.
  * 

 -- xushitong <xushitong@uniontech.com>  Tue, 07 May 2024 16:16:26 +0800

util-dfm (1.2.23) unstable; urgency=medium

  * update version to 1.2.23

 -- zhangsheng <zhangsheng@uniontech.com>  Wed, 27 Mar 2024 16:44:16 +0800

util-dfm (1.2.22) unstable; urgency=medium

  * update version to 1.2.22

 -- zhangsheng <zhangsheng@uniontech.com>  Mon, 19 Feb 2024 14:11:20 +0800

util-dfm (1.2.21) unstable; urgency=medium

  * update version to 1.2.21

 -- lvwujun <lvwujun@uniontech.com>  Mon, 15 Jan 2024 14:32:16 +0800

util-dfm (1.2.20) unstable; urgency=medium

  * update version to 1.2.20

 -- zhangsheng <zhangsheng@uniontech.com>  Thu, 28 Dec 2023 11:27:33 +0800

util-dfm (1.2.19) unstable; urgency=medium

  * update version to 1.2.19

 -- zhangsheng <zhangsheng@uniontech.com>  Wed, 20 Dec 2023 14:48:05 +0800

util-dfm (1.2.18) unstable; urgency=medium

  * update version to 1.2.18

 -- lvwujun <lvwujun@uniontech.com>  Thur, 2 Nov 2023 11:19:21 +0800

util-dfm (1.2.17) unstable; urgency=medium

  * update version to 1.2.17

 -- lvwujun <lvwujun@uniontech.com>  Fri, 20 Oct 2023 15:21:22 +0800

util-dfm (1.2.16) unstable; urgency=medium

  * update version to 1.2.16

 -- lvwujun <lvwujun@uniontech.com>  Fri, 1 Sep 2023 10:21:12 +0800

util-dfm (1.2.15) unstable; urgency=medium

  * update version to 1.2.15

 -- zhangsheng <zhangsheng@uniontech.com>  Thu, 24 Aug 2023 10:25:59 +0800

util-dfm (1.2.14) unstable; urgency=medium

  * update version to 1.2.14

 -- lvwujun <lvwujun@uniontech.com>  Fri, 4 Aug 2023 14:48:12 +0800

util-dfm (1.2.13) unstable; urgency=medium

  * update version to 1.2.13

 -- lvwujun <lvwujun@uniontech.com>  Tue, 1 Aug 2023 14:48:12 +0800

util-dfm (1.2.12) unstable; urgency=medium

  * update version to 1.2.12

 -- lvwujun <lvwujun@uniontech.com>  Wed, 28 June 2023 10:47:21 +0800

util-dfm (1.2.11) unstable; urgency=medium

  * update version to 1.2.11

 -- lvwujun <lvwujun@uniontech.com>  Wed, 07 June 2023 15:57:07 +0800

util-dfm (1.2.10) unstable; urgency=medium

  * update version.
  *

 --lvwujun <lvwujun@uniontech.com>  Thur, 31 May 2023 15:09:45 +0800

util-dfm (1.2.9) unstable; urgency=medium

  * update version.
  *

 --lvwujun <lvwujun@uniontech.com>  Fri, 28 Apr 2023 11:09:45 +0800

util-dfm (1.2.8) unstable; urgency=medium

  * update version.

 -- lvwujun <lvwujun@uniontech.com>  Thur, 13 April 2023 15:16:29 +0800

util-dfm (1.2.6) unstable; urgency=medium

  * update version.

 -- zhangsheng <zhangsheng@uniontech.com>  Fri, 10 Mar 2023 16:29:38 +0800

util-dfm (1.2.5) unstable; urgency=medium

  * update version.
  * 

 -- xust <xushitong@uniontech.com>  Mon, 16 Jan 2023 16:58:38 +0800

util-dfm (1.2.3) stable; urgency=high

  * update V6 6.0.7 baseline version

 -- lvwujun <lvwujun@uniontech.com>  Wed, 04 Jan 2023 17:26:29 +0800

util-dfm (1.2.1.2) unstable; urgency=high

  * update V6 6.0.6.2 baseline version

 -- lvwujun <lvwujun@uniontech.com>  Tue, 06 Dec 2022 13:51:08 +0800

util-dfm (1.2.1) unstable; urgency=high

  * update V6 6.0.6 baseline version

 -- lvwujun <lvwujun@uniontech.com>  Thu, 24 Nov 2022 11:24:08 +0800

util-dfm (1.2.0) unstable; urgency=high

  * update V6 6.0.4 baseline version

 -- LanXuesong <lanxuesong@uniontech.com>  Tue, 01 Nov 2022 11:25:00 +0800

util-dfm (1.1.2) unstable; urgency=high

  * update V6 6.0.4 baseline version  

 -- lvwujun <lvwujun@uniontech.com>  Wed, 20 Oct 2022 17:39:08 +0800

util-dfm (1.1.1) unstable; urgency=high

  * update V6 6.0.2 baseline version  

 -- lvwujun <lvwujun@uniontech.com>  Wed, 14 Sep 2022 14:50:58 +0800

util-dfm (1.1.0) unstable; urgency=low

  * Initial release for v23

 -- ZhangSheng <zhangsheng@uniontech.com>  Wed, 22 Jun 2022 09:44:40 +0000

util-dfm (1.0.0) unstable; urgency=medium

  * Initial release

 -- lanxs<lanxuesong@uniontech.com>  Mon, 16 Aug 2021 13:22:42 +0800
