=== debian/control ===
Source: util-dfm
Section: libs,utils
Priority: optional
Maintainer: Deepin Packages Builder <packages@linuxdeepin.com>
Build-Depends:
 debhelper (>=9),
 cmake,
 pkg-config,
 qtbase5-dev,
 qtbase5-private-dev,
 qt5-qmake,
 libglibmm-2.4-dev,
 qttools5-dev-tools,
 libglib2.0-dev,
 libudisks2-dev,
 libisoburn-dev,
 libmediainfo-dev,
 libsecret-1-dev
Standards-Version: 4.3.0
Homepage: http://www.deepin.org
#Vcs-Browser: https://salsa.debian.org/debian/util-dfm
#Vcs-Git: https://salsa.debian.org/debian/util-dfm.git

Package: libdfm-io
Architecture: any
Section: libdevel
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libglibmm-2.4-1v5
Description: A libaray about I/O.
 A libaray that provides I/O interface.

Package: libdfm-io-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libdfm-io
Description: A libaray about I/O dev.
 A libaray that provides I/O interface dev.

Package: libdfm-mount
Architecture: any
Section: libdevel
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: A libaray about mount and umount.
 A libaray that provides mount and umount interface.

Package: libdfm-mount-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends:
 ${shlibs:Depends}, 
 ${misc:Depends},
 libdfm-mount,
 libsecret-1-dev,
 libudisks2-dev
Description: A libaray about mount and umount dev.
 A libaray that provides mount and umount interface dev.

Package: libdfm-burn
Architecture: any
Section: libdevel
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Recommends:
 libudfburn
Description: A libaray about burning CD.
 A libaray that provides burning CD interface.

Package: libdfm-burn-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends:
 ${shlibs:Depends}, 
 ${misc:Depends},
 libdfm-burn,
 libisoburn-dev
Description: A libaray about mount burning CD.
 A libaray that provides burning CD interface dev.
