=== debian/changelog ===
util-dfm (1.3.4) unstable; urgency=medium

  * Qt6 supported
  * 

 -- zhangsheng <zhangsheng@uniontech.com>  Fri, 20 Sep 2024 18:04:31 +0800

util-dfm (1.3.3) unstable; urgency=medium

  * update version to 1.3.3.
  *

 -- LiYiGang <liyigang1@uniontech.com>  Tues, 3 Sep 2024 14:48:06 +0800

util-dfm (1.3.2) unstable; urgency=medium

  * update version to 1.3.2.
  * 

 -- XuShitong <xushitong@uniontech.com>  Thu, 25 Jul 2024 15:56:06 +0800
