=== debian/control ===
--- 
+++ 
@@ -7,10 +7,14 @@
  cmake,
  pkg-config,
  qtbase5-dev,
+ qt6-base-dev,
  qtbase5-private-dev,
+ qt6-base-private-dev,
  qt5-qmake,
+ qmake6,
  libglibmm-2.4-dev,
  qttools5-dev-tools,
+ qt6-tools-dev-tools,
  libglib2.0-dev,
  libudisks2-dev,
  libisoburn-dev,
@@ -32,6 +36,17 @@
 Description: A libaray about I/O.
  A libaray that provides I/O interface.
 
+Package: libdfm6-io
+Architecture: any
+Section: libdevel
+Multi-Arch: same
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends},
+ libglibmm-2.4-1v5
+Description: A libaray about I/O.
+ A libaray that provides I/O interface.
+
 Package: libdfm-io-dev
 Architecture: any
 Section: libdevel
@@ -43,7 +58,28 @@
 Description: A libaray about I/O dev.
  A libaray that provides I/O interface dev.
 
+Package: libdfm6-io-dev
+Architecture: any
+Section: libdevel
+Multi-Arch: same
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends},
+ libdfm6-io
+Description: A libaray about I/O dev.
+ A libaray that provides I/O interface dev.
+
 Package: libdfm-mount
+Architecture: any
+Section: libdevel
+Multi-Arch: same
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends}
+Description: A libaray about mount and umount.
+ A libaray that provides mount and umount interface.
+
+Package: libdfm6-mount
 Architecture: any
 Section: libdevel
 Multi-Arch: same
@@ -66,7 +102,32 @@
 Description: A libaray about mount and umount dev.
  A libaray that provides mount and umount interface dev.
 
+Package: libdfm6-mount-dev
+Architecture: any
+Section: libdevel
+Multi-Arch: same
+Depends:
+ ${shlibs:Depends}, 
+ ${misc:Depends},
+ libdfm6-mount,
+ libsecret-1-dev,
+ libudisks2-dev
+Description: A libaray about mount and umount dev.
+ A libaray that provides mount and umount interface dev.
+
 Package: libdfm-burn
+Architecture: any
+Section: libdevel
+Multi-Arch: same
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends}
+Recommends:
+ libudfburn
+Description: A libaray about burning CD.
+ A libaray that provides burning CD interface.
+
+Package: libdfm6-burn
 Architecture: any
 Section: libdevel
 Multi-Arch: same
@@ -89,3 +150,16 @@
  libisoburn-dev
 Description: A libaray about mount burning CD.
  A libaray that provides burning CD interface dev.
+
+
+Package: libdfm6-burn-dev
+Architecture: any
+Section: libdevel
+Multi-Arch: same
+Depends:
+ ${shlibs:Depends}, 
+ ${misc:Depends},
+ libdfm6-burn,
+ libisoburn-dev
+Description: A libaray about mount burning CD.
+ A libaray that provides burning CD interface dev.
