=== debian/changelog ===
util-dfm (1.3.15) unstable; urgency=medium

  * feat: Impl dfm-search

 -- Zhang Sheng <zhangsheng@uniontech.com>  Thu, 10 Apr 2025 16:19:41 +0800

util-dfm (1.3.14) unstable; urgency=medium

  * fix: Update DBlockMonitorPrivate destructor to use deleteLater for watcher

 -- Liu Zhangjian <liuzhangjian@uniontech.com>  Wed, 02 Apr 2025 17:15:50 +0800

util-dfm (1.3.13) unstable; urgency=medium

  * fix bug

 -- Liu Zhangjian <liuzhangjian@uniontech.com>  Wed, 02 Apr 2025 16:04:11 +0800

util-dfm (1.3.12) unstable; urgency=medium

  * fix bug

 -- Zhang Sheng <zhangsheng@uniontech.com>  Thu, 20 Mar 2025 21:06:37 +0800

util-dfm (1.3.11) unstable; urgency=medium

  * fix bugs

 -- Zhang Sheng <zhangsheng@uniontech.com>  Tue, 11 Mar 2025 13:33:33 +0800

util-dfm (1.3.10) unstable; urgency=medium

  * Remove all Qt5

 -- Zhang Sheng <zhangsheng@uniontech.com>  Mon, 03 Mar 2025 19:21:35 +0800

util-dfm (1.3.9) unstable; urgency=medium

  * fix cifs password save issue
  * 

 -- XuShitong <xushitong@uniontech.com>  Thu, 26 Dec 2024 15:42:14 +0800

util-dfm (1.3.8) unstable; urgency=medium

  * fix bugs

 -- zhangsheng <zhangsheng@uniontech.com>  Fri, 13 Dec 2024 17:27:19 +0800

util-dfm (1.3.7) unstable; urgency=medium

  * Update pattern from "^/media/(.*)/smbmounts" to "^/(?:run/)?media/(.*)/smbmounts"

 -- zhangsheng <zhangsheng@uniontech.com>  Tue, 10 Dec 2024 20:28:48 +0800

util-dfm (1.3.6) unstable; urgency=medium

  * Support Block::Configuration field.
  * 

 -- XuShitong <xushitong@uniontech.com>  Thu, 05 Dec 2024 20:17:19 +0800

util-dfm (1.3.5) unstable; urgency=medium

  * update version 

 -- Liu zheng <liuzheng@uniontech.com>  Mon, 02 Dec 2024 17:42:32 +0800
