=== src/dfm-io/dfm-io/CMakeLists.txt ===
--- 
+++ 
@@ -16,11 +16,7 @@
     "./*.h"
 )
 
-include(dfm-io-qt5.cmake)
-
-# Qt6
-if (DFM_BUILD_WITH_QT6)
+#include(dfm-io-qt5.cmake)
 include(dfm-io-qt6.cmake)
-endif()
