=== debian/changelog ===
util-dfm (1.3.23) unstable; urgency=medium

  * Implement extended AND search behavior for filename and content fields

 -- Zhang Sheng <zhangsheng@uniontech.com>  Tue, 13 May 2025 15:41:21 +0800

util-dfm (1.3.22) unstable; urgency=medium

  * fix bugs

 -- Zhang Sheng <zhangsheng@uniontech.com>  Mon, 12 May 2025 16:50:57 +0800

util-dfm (1.3.21) unstable; urgency=medium

  * Introduce DConfig-based dynamic file handling, enhance Lucene query processing, improve keyword highlighting, and add search timeout configuration. 

 -- Zhang Sheng <zhangsheng@uniontech.com>  Fri, 09 May 2025 17:15:59 +0800

util-dfm (1.3.20) unstable; urgency=medium

  * install dfm6-search-client

 -- Zhang Sheng <zhangsheng@uniontech.com>  Thu, 08 May 2025 12:00:31 +0800

util-dfm (1.3.19) unstable; urgency=medium

  * add new interface `fileNameIndexStatus`

 -- Zhang Sheng <zhangsheng@uniontech.com>  Tue, 29 Apr 2025 17:55:09 +0800

util-dfm (1.3.18) unstable; urgency=medium

  * FileNameRealTimeStrategy 
  * fix bugs

 -- Zhang Sheng <zhangsheng@uniontech.com>  Sun, 27 Apr 2025 17:24:58 +0800

util-dfm (1.3.17) unstable; urgency=medium

  * fix bug

 -- Zhang Sheng <zhangsheng@uniontech.com>  Fri, 25 Apr 2025 12:49:54 +0800

util-dfm (1.3.16) unstable; urgency=medium

  * feat: Optimize dfm-search

 -- Zhang Sheng <zhangsheng@uniontech.com>  Tue, 22 Apr 2025 11:51:27 +0800
