## util-dfm 1.3.31

=== debian/changelog ===
util-dfm (1.3.31) unstable; urgency=medium

  * fix bugs

 -- Zhang Sheng <zhangsheng@uniontech.com>  Fri, 27 Jun 2025 16:15:42 +0800

util-dfm (1.3.30) unstable; urgency=medium

  * Enhance index availability checks and introduce readiness validation 

 -- Zhang Sheng <zhangsheng@uniontech.com>  Mon, 23 Jun 2025 16:51:02 +0800

util-dfm (1.3.29) unstable; urgency=medium

  * feat: Add wildcard search functionality to search query
  * fix: Improve index availability checks in search utility

 -- Zhang Sheng <zhangsheng@uniontech.com>  Mon, 23 Jun 2025 15:11:33 +0800

util-dfm (1.3.28) unstable; urgency=medium

  * fix bugs

 -- Zhang Sheng <zhangsheng@uniontech.com>  Thu, 05 Jun 2025 20:03:05 +0800

util-dfm (1.3.27) unstable; urgency=medium

  * dfm-search: optimize search performance and fix dependencies

 -- Zhang Sheng <zhangsheng@uniontech.com>  Wed, 28 May 2025 16:37:42 +0800

util-dfm (1.3.26) unstable; urgency=medium

  * fix bugs

 -- Zhang Sheng <zhangsheng@uniontech.com>  Wed, 21 May 2025 18:13:11 +0800

util-dfm (1.3.25) unstable; urgency=medium

  * refactor searchWithCallback

 -- Zhang Sheng <zhangsheng@uniontech.com>  Fri, 16 May 2025 15:04:02 +0800

util-dfm (1.3.24) unstable; urgency=medium

  * fix bugs 

 -- Zhang Sheng <zhangsheng@uniontech.com>  Thu, 15 May 2025 20:58:39 +0800
