## util-dfm 1.3.32

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -6,5 +6,6 @@
 add_subdirectory("dfm-io")
 add_subdirectory("dfm-mount")
 add_subdirectory("dfm-burn")
+add_subdirectory("dfm-search")
 
 #add_subdirectory(${PROJECT_SOURCE_DIR}/tests)
