=== src/dfm-mount/CMakeLists.txt ===
--- 
+++ 
@@ -17,12 +17,8 @@
     "./*.h"
 )
 
-include(dfm-mount-qt5.cmake)
-
-# Qt6
-if (DFM_BUILD_WITH_QT6)
+#include(dfm-mount-qt5.cmake)
 include(dfm-mount-qt6.cmake)
-endif()
 
 #set(CMAKE_CXX_FLAGS "-fsanitize=undefined,address,leak -fno-omit-frame-pointer")
 #set(CMAKE_C_FLAGS "-fsanitize=undefined,address,leak -fno-omit-frame-pointer")
