=== debian/changelog ===
util-dfm (1.3.32) unstable; urgency=medium

  * fix sort by filename

 -- Zhang Sheng <zhangsheng@uniontech.com>  Thu, 03 Jul 2025 15:29:50 +0800
