=== src/dfm-burn/dfm-burn-client/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.1.0)
+cmake_minimum_required(VERSION 3.7)
 
 project(dfm${DFM_VERSION_MAJOR}-burn-client)
