=== debian/changelog ===
util-dfm (1.3.34) unstable; urgency=medium

  * fix double free

 -- Zhang Sheng <zhangsheng@uniontech.com>  Wed, 16 Jul 2025 17:11:25 +0800

util-dfm (1.3.33) unstable; urgency=medium

  * fix some bugs.

 -- Liuyangming <liuyangming@uniontech.com>  Wed, 16 Jul 2025 10:40:31 +0800
