=== debian/changelog ===
util-dfm (1.3.35) unstable; urgency=medium

  * fix bug

 -- Zhang Sheng <zhangsheng@uniontech.com>  Fri, 08 Aug 2025 15:29:22 +0800
