## util-dfm 1.3.38

=== debian/changelog ===
util-dfm (1.3.38) unstable; urgency=medium

  * correct file name comparison logic 

 -- Zhang Sheng <zhangsheng@uniontech.com>  Thu, 25 Sep 2025 16:26:12 +0800

util-dfm (1.3.37) unstable; urgency=medium

  * add pinyin acronym search support 

 -- Zhang Sheng <zhangsheng@uniontech.com>  Thu, 04 Sep 2025 19:05:56 +0800

util-dfm (1.3.36) unstable; urgency=medium

  * fix bug

 -- Zhang Sheng <zhangsheng@uniontech.com>  Thu, 21 Aug 2025 15:47:19 +0800
