=== src/dfm-io/dfm-io/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.1.0)
+cmake_minimum_required(VERSION 3.7)
 
 set (VERSION "1.0.0" CACHE STRING "define project version")
 set(BASE_NAME dfm-io)
