=== debian/changelog ===
util-dfm (1.3.39) unstable; urgency=medium

  * fix bugs 

 -- Zhang Sheng <zhangsheng@uniontech.com>  Thu, 16 Oct 2025 19:13:04 +0800
